> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ashby/jobs/search

> List job postings from a company's Ashby career board with optional filters

**Price:** 20 credits

**⚠️ Common errors:** 412: Job board not found



## OpenAPI

````yaml /openapi/jobs.json post /api/ashby/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ashby/jobs/search:
    post:
      tags:
        - /ashby
      summary: /ashby/jobs/search
      description: >-
        List job postings from a company's Ashby career board with optional
        filters


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Job board not found
      operationId: __api_ashby_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AshbyJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AshbyJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AshbyJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        board_name:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        employment_type:
          anyOf:
            - $ref: '#/components/schemas/AshbyEmploymentType'
            - type: 'null'
        workplace_type:
          anyOf:
            - $ref: '#/components/schemas/AshbyWorkplaceType'
            - type: 'null'
        department:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        team:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        location:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - board_name
        - count
    AshbyJob:
      properties:
        '@type':
          type: string
          default: AshbyJob
        id:
          type: string
        department:
          anyOf:
            - type: string
            - type: 'null'
        team:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        employment_type:
          anyOf:
            - type: string
            - type: 'null'
        workplace_type:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        is_listed:
          anyOf:
            - type: boolean
            - type: 'null'
        should_display_compensation:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        apply_url:
          anyOf:
            - type: string
            - type: 'null'
        job_url:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/AshbyLocation'
            - type: 'null'
        secondary_locations:
          items:
            $ref: '#/components/schemas/AshbyLocation'
          type: array
          default: []
        compensation:
          anyOf:
            - $ref: '#/components/schemas/AshbyCompensation'
            - type: 'null'
        description_html:
          anyOf:
            - type: string
            - type: 'null'
        description_plain:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AshbyEmploymentType:
      type: string
      enum:
        - FullTime
        - PartTime
        - Contract
        - Intern
        - Temporary
    AshbyWorkplaceType:
      type: string
      enum:
        - OnSite
        - Remote
        - Hybrid
    AshbyLocation:
      properties:
        '@type':
          type: string
          default: AshbyLocation
        location:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        locality:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AshbyCompensation:
      properties:
        '@type':
          type: string
          default: AshbyCompensation
        summary:
          anyOf:
            - type: string
            - type: 'null'
        salary_summary:
          anyOf:
            - type: string
            - type: 'null'
        summary_components:
          items:
            $ref: '#/components/schemas/AshbyCompensationComponent'
          type: array
          default: []
        tiers:
          items:
            $ref: '#/components/schemas/AshbyCompensationTier'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    AshbyCompensationComponent:
      properties:
        '@type':
          type: string
          default: AshbyCompensationComponent
        summary:
          anyOf:
            - type: string
            - type: 'null'
        compensation_type:
          anyOf:
            - type: string
            - type: 'null'
        interval:
          anyOf:
            - type: string
            - type: 'null'
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
        min_value:
          anyOf:
            - type: number
            - type: 'null'
        max_value:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    AshbyCompensationTier:
      properties:
        '@type':
          type: string
          default: AshbyCompensationTier
        id:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        additional_information:
          anyOf:
            - type: string
            - type: 'null'
        components:
          items:
            $ref: '#/components/schemas/AshbyCompensationComponent'
          type: array
          default: []
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````